1. Storage: Daily Operation
Peladen
  • Peladen
    • Welcome to Peladen
  • Cluster Management
    • Create Your First Cluster
    • Get All Clusters
      GET
  • Database Management
    • Get All Database
      GET
  • Object Storage Management
    • Storage: Daily Operation
      • Generate Upload URL
        POST
      • Generate Download URL
        POST
      • Delete File
        POST
      • Get Tenant Usage
        GET
    • Storage: Admin Management
      • Configure Storage Backend
      • Storage Status
      • Storage Usage
      • Update Tenant Quota
  1. Storage: Daily Operation

Delete File

Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
POST
/api/storage/delete
Safely deletes specified file(s) via request body.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-sandbox.usepeladen.com/api/v1/storage/api/storage/delete' \
--header 'Content-Type: application/json' \
--data-raw '{
    "tenant_id": "tenant_123",
    "files": [
        {
            "file_key": "images/profile.png"
        }
    ]
}'
Response Response Example
[
    {
        "file_key": "images/profile.png",
        "success": true
    }
]
Modified at 2026-03-19 18:00:03
Previous
Generate Download URL
Next
Get Tenant Usage
Built with